개인 자료란 (JE)

  서버 커뮤니티

Profile 프리루트 한마포 운영자

_FreeRoute_ 3bfdc013ee404a289b456efb141df84f

Profile

자료 자바 에디션(JE) 모드

마인크래프트 패브릭 (Fabric) - 포지보다 더 가볍고 호환성 좋게!

2021.08.07 조회 수 53261 추천 수 15
장르 API 및 라이브러리 
게임버전 1.14, 1.14.1, 1.14.2, 1.14.3, 1.14.4, 1.15, 1.15.1, 1.15.2, 1.16, 1.16.1, 1.16.2, 1.16.3, 1.16.4, 1.16.5, 1.17, 1.17.1, 1.18, 1.18.1, 1.18.2, 1.19, 1.19.1, 1.19.2, 1.19.3 
모드로더 패브릭 
원산지 해외 
개발자 FabricMC 
저작권 Apache License 2.0 
자료 출처 https://fabricmc.net/ 
소스 https://github.com/FabricMC/fabric 

작성일 기준으로 최신 버전인 1.17.1 버전에서 버그 없이 깔끔하게 쉐이더 적용도 가능하게 해주는 패브릭!


      개요


마인크래프트 상위 버전대에 등장한 포지의 강력한 적수, 패브릭(Fabric)입니다. 포지와 마찬가지로 이 패브릭도 모드를 설치하는데 
꼭 필요로 하는 역할을 합니다. 다만 포지와는 다르게 업데이트 속도가 매우 빠른 편이며, 사용감도 매우 가벼워 유저들의 사랑을 받고 있습니다.
왠만한 최적화 모드들도 전부 패브릭을 기반으로 만들어지는 추세이구요.





      설치방법


[참고사항]

  • .minecraft 폴더는 좌측 하단 검색란에 %appdata% 라고 검색하셔서 들어가실 수 있습니다.
  • 모드를 적용할 때, 패브릭을 지원하는 모드만 적용할 수 있습니다.


[일반설치]

  1. 사용하시는 마인크래프트 버전으로 게임을 완전히 켰다가 꺼주세요.
  2. 아래에서 패브릭 로더 파일을 다운받아 실행시켜줍니다.
  3. 마인크래프트 버전(Minecraft Version)을 선택해주시고, 로더 버전(Loader Version)은 
    가장 최신 버전으로 선택해줍니다. 그대로 아래에 설치(Install) 버튼을 눌러주세요.
  4. Successfully Installed 창이 뜨면 확인을 눌러줍니다.
  5. 아래에서 패브릭 API를 다운받아줍니다.
  6. .minecraft 폴더 안에 mods 폴더에 넣어줍니다. mods 폴더에 따로 적용하고 싶은 모드도 넣어주세요.
  7. 마인크래프트 런처를 켜서 패브릭 프로필(Fabric)로 게임을 시작해주세요.


[간편설치기]

  1. 사용하시는 마인크래프트 버전으로 게임을 완전히 켰다가 꺼주세요.
  2. 아래에서 간편설치기를 다운받아 실행해줍니다.
  3. 옵션을 선택하는 화면에서 패브릭 로더와 API에는 체크되어있을겁니다. 체크되어있는채로 설치해줍니다.
  4. 설치를 마친 뒤, 추가로 적용하고 싶은 모드가 있다면 .minecraft 폴더 안에 mods 폴더에 넣어줍니다.
  5. 마인크래프트 런처를 켜서 패브릭 프로필(Fabric)로 게임을 시작해주세요.




      다운로드 변경기록


※ 최근 한 달 동안의 변경기록만 표시됩니다. 


버전
날짜
내역
1.16.5
2022.11.21
(간편설치기) 미니맵 업데이트 : 22.16.0 > 22.16.2
(간편설치기) 아이리스 업데이트 : 1.4.0 > 1.4.1
2022.11.28
(간편설치기) 아이리스 업데이트 : 1.4.1 > 1.4.3
1.18.2
2022.11.21
패브릭 API 업데이트 : 0.59.1 > 0.66.0
(간편설치기) 모드 메뉴 업데이트 : 3.2.3 > 3.2.4
(간편설치기) 미니맵 업데이트 : 22.16.0 > 22.16.2
(간편설치기) REI 업데이트 : 8.3.556 > 8.3.571
(간편설치기) 아이리스 업데이트 : 1.4.0 > 1.4.2
2022.11.28
패브릭 API 업데이트 : 0.66.0 > 0.67.0
(간편설치기) REI 업데이트 : 8.3.571 > 8.3.573
(간편설치기) 아이리스 업데이트 : 1.4.2 > 1.4.3
1.19.2
2022.11.21
패브릭 API 업데이트 : 0.64.0 > 0.66.0
(간편설치기) 모드 메뉴 업데이트 : 4.0.7 > 4.1.1
(간편설치기) 미니맵 업데이트 : 22.16.0 > 22.16.2
(간편설치기) REI 업데이트 : 9.1.550 > 9.1.572
(간편설치기) 아이리스 업데이트 : 1.4.0 > 1.4.2
2022.11.28
패브릭 API 업데이트 : 0.66.0 > 0.67.1
(간편설치기) REI 업데이트 : 9.1.572 > 9.1.574
(간편설치기) 아이리스 업데이트 : 1.4.2 > 1.4.3




      다운로드


[다운방법]

  • 아래에서 자신의 게임 버전에 해당되는 패브릭 설치 파일을 다운받아줍니다. 일반설치와 간편설치기 둘 중에 하나 고르면 됩니다.
  • 패브릭 API(일반설치)의 경우, 링크로 들어가서 5초 정도 기다리시면 자동으로 다운받아집니다.


[참고사항]

  • 패브릭 설치 후, 모드 적용시 패브릭 모드로더를 지원하는 모드만 적용할 수 있습니다.
  • 하단의 파일과 간편설치기의 모든 파일은 공식 출처 파일입니다. 또한 간편설치기는 컴퓨터에 악영향을 주지 않습니다.


[다운로드]


※ 간편설치기 정보
모드 제작 및 저작권 : 프로그램 내 기재
프로그램 제작 : 프리루트, 허두(서포트), 거인(서포트)
프로그램 저작권 : All Rights Reserved (2차 및 링크 배포, 수정 및 판매 금지)


게임버전
패브릭 로더 (일반설치)
패브릭 API (일반설치)
간편설치기
업데이트
1.14
최신버전 :
0.14.10

베타버전 :
0.14.10

EXE / JAR
미제공
1.14.1
1.14.2
1.14.3
1.14.4
프리루트-1.14.4-패브릭.exe
2022.10.21


1.15
미제공
1.15.1
1.15.2
프리루트-1.15.2-패브릭.exe
2022.10.21


1.16
미제공
1.16.1
1.16.2
1.16.3
1.16.4
1.16.5
프리루트-1.16.5-패브릭.exe
2022.11.28


1.17
미제공
1.17.1
2022.10.21


1.18
미제공
1.18.1
1.18.2
0.67.0
프리루트-1.18.2-패브릭.exe
2022.11.28


1.190.58.0
통합모드2022.06.30
1.19.1
0.58.5프리루트-1.19.1-패브릭.exe
2022.08.07
1.19.2
0.67.1
프리루트-1.19.2-패브릭.exe
2022.11.28
1.19.3 (Pre 2)
0.67.3
미제공



83개의 댓글

panso
2022.04.08

1.19에서 옵디파인도 가능한가요?

프리루트
2022.04.09
@panso

1.19 스냅샷 버전용을 말씀하시는거라면 현재는 불가능합니다!

패브릭 환경에서 옵티파인을 사용하려면 옵티패브릭이 필요한데 애초에 지금 옵티파인도, 옵티패브릭도 1.19 스냅샷 버전용으로 나와있지는 않아용

19021790
2022.04.25

1.18.2로 옵티파인 가능한지요?

프리루트
2022.04.25
@19021790

옵티패브릭 넣으시면 가능합니다. 아래 링크의 옵티파인 글에서 설치방법이랑 다운로드 확인하실 수 있으세요

https://www.koreaminecraft.net/mod/2804699

아서킹
2022.06.12

1.19 는 지금 오류가 있는거 같네요 ㅠㅠ

아무것도 안건드리고 쉐이더랑 소듐만 체크해서 깔아도 크래시가 떠요

프리루트
2022.06.12
@아서킹

어.. 간편설치기를 만들 때 모드 부분도 제가 하나하나 테스트하고 작동여부 확인한 뒤에 업로드를 합니다..!

아마 오류가 있으신듯 하니 오류를 다시 한번 발생시키신 다음에 곧바로.minecraft - logs 폴더 안에 latest.log 파일을

아래 링크의 질문포럼에 첨부해서 올려주시면 확인해드릴 수 있도록 할게요! (참고로 저는 당연히 정상적으로 작동합니다)

https://www.koreaminecraft.net/qna

아서킹
2022.06.12
@프리루트

아고 초기화 하고 해보니까 잘 작동하네요!

항상 프리루트님꺼 잘 이용하고 있습니다! 감사해요!!

프리루트
2022.06.12
@아서킹

이용해주셔서 감사합니다 :D

아마 이전에 다른 버전용 모드를 사용하셨다면 충분히 오류가 발생할 수 있어서 그랬을거에용, 즐거운 마인크래프트 되시길!

앙봇띵
2022.06.19

패브릭을 사용할경우 모드버킷은 무엇을 써야하나요? 포지사이트에서 구동기를 받아서 모드서버를 열고 친구들이랑 즐기는중인데 패브릭이 가볍고 하면 렉이 크게 안나올꺼가타 쓰고싶은데 구동기는 어떻게하나요?

프리루트
2022.06.19
@앙봇띵

패브릭 로더 일반설치 파일을 다운받으시면 서버(Server) 파일도 지원합니다!

지금 한마포에 따로 패브릭용 구동기를 올려놓은게 없어서 일단 이걸 사용하시는 것을 권장드려요

브릭
2022.07.13

다운로드 못한다고 하는데요?

프리루트
2022.07.13
@브릭

지금 잘되실거에용

유리별
2022.08.03

1.19버전은 통합모드에 패브릭이 포함되어있나요?

프리루트
2022.08.03
@유리별

당연히 포함되어있으니까 통합모드로 링크를 연결해놓은거겠죠!

조셉0309
2022.08.03

1.19.1 간편설치기 다운하면 바이러스가 발견됐다고 실패가 뜨는데 저만 그런가요?

조셉0309
2022.08.03
@조셉0309

윈도우 디펜더가 트로이목마가 있다고는 하는데 확인부탁드립니다.

프리루트
2022.08.03
@조셉0309

실제로 바이러스가 들어있는게 아니라 프로그램 내에 게시자 관련 내용이 설정되어있지 않아서 뜨는 경고 메세지랍니다.

전혀 문제 없고 메세지가 표시될 경우, 해당 메세지를 무시하고 프로그램을 실행시키시면 됩니다.

mellow1009
2022.09.07

BetterF3모드있나요?

프리루트
2022.09.07
@mellow1009

https://www.koreaminecraft.net/mod/3254896

hanmapo19
2022.10.01

설치했는데

Incompatible mod set!

net.fabricmc.loader.impl.FormattedException: Mod resolution encountered an incompatible mod set!

A potential solution has been determined:

- Replace mod 'Sodium' (sodium) 0.4.4+build.18 with any version that is compatible with:

- optifabric 1.13.16

- Replace mod 'Iris' (iris) 1.3.1 with any version that is compatible with:

- optifabric 1.13.16

Unmet dependency listing:

- Mod 'Iris' (iris) 1.3.1 is incompatible with any version of mod 'OptiFabric' (optifabric), but a matching version is present: 1.13.16!

- Mod 'Sodium' (sodium) 0.4.4+build.18 is incompatible with any version of mod 'OptiFabric' (optifabric), but a matching version is present: 1.13.16!

at net.fabricmc.loader.impl.FabricLoaderImpl.load(FabricLoaderImpl.java:190)

at net.fabricmc.loader.impl.launch.knot.Knot.init(Knot.java:148)

at net.fabricmc.loader.impl.launch.knot.Knot.launch(Knot.java:68)

at net.fabricmc.loader.launch.knot.KnotClient.main(KnotClient.java:28)

at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)

at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)

at java.base/java.lang.reflect.Method.invoke(Unknown Source)

at net.digitalingot.rustextension.ProxiedStart.main(ProxiedStart.java:16)

 

이런 오류가 떠요

프리루트
2022.10.01
@hanmapo19

여기에 올리지 마시고 게시판 공지에 있는 활동 가이드에 질문포럼 가이드 부분 읽으신 뒤 > 필요로 하는 보고서 파일과 함께

질문 게시판에 글을 올려주시기 바랍니다. 그리고 글 올리시기 전에, mods 폴더에서 옵티패브릭(optifabric)이랑 옵티파인 있으면 빼세요.

옵티파인 및 옵티패브릭이랑 소듐 및 아이리스 모드랑 호환되지 않습니다. 같이 적용하실 수 없어요.

조용한고인돌
2022.10.10

패브릭 로더와 API 둘 다 다운받아야 하나요?

프리루트
2022.10.10
@조용한고인돌

원래는 기본적으로 로더만 설치해도 패브릭이 작동하지만 수많은 주요 모드들이 패브릭 API를 필요로 합니다.

어차피 패브릭 API를 설치하면 모드 파일 하나 설치해놓는거라 가급적이면 패브릭 설치시 그냥 같이 설치하시는게 좋습니다.

뉴스 및 창작물
/files/thumbnails/336/355/003/262x150.crop.jpg?20221130174334

해외반응

번역) 꿀팁 : 나뭇잎은 물이 얼게 하는걸 막습니다. 1

teara

2022-11-30

1

/files/thumbnails/213/355/003/262x150.crop.jpg?20221130190452

업데이트

마인크래프트 1.19.3 프리릴리스 3 업데이트

마리오군

2022-11-30

0

/files/thumbnails/100/355/003/262x150.crop.jpg?20221130071036

소식

새로운 기본 스킨들을 소개합니다 (애니메이션 영상)

프리루트

2022-11-30

0

/files/thumbnails/728/352/003/262x150.crop.jpg?20221127060715

소식

현재 엔비디아 최신 드라이버에서 마인크래프트 구버전 플레이가 불가능합니다 3

코코냐

2022-11-27

4

/files/thumbnails/669/351/003/262x150.crop.jpg?20221125204354

업데이트

마인크래프트 프리뷰 및 베타 1.19.60.20 업데이트

Dalsu

2022-11-25

0

/files/thumbnails/663/351/003/262x150.crop.jpg?20221125194043

소식

마인크래프트 2022 블록 프라이데이 세일 시작 1

Dalsu

2022-11-25

0

/files/thumbnails/089/351/003/262x150.crop.jpg?20221124184623

업데이트

마인크래프트 1.19.3 프리릴리스 2 업데이트

마리오군

2022-11-24

1

/files/thumbnails/962/350/003/262x150.crop.jpg?20221124184619

업데이트

마인크래프트 1.19.3 프리릴리스 1 업데이트

마리오군

2022-11-24

1

/files/thumbnails/837/350/003/262x150.crop.jpg?20221124171519

모드

모드로 마인크래프트를 연주하기 [사운드 고퀄리티]

노트블럭장인

2022-11-24

1

/files/thumbnails/678/350/003/262x150.crop.jpg?20221124012418

업데이트

마인크래프트 1.19.3 스냅샷 22w46a 업데이트

마리오군

2022-11-24

0